SDL_AssertState(3type)

NAME
SDL_AssertState - Possible outcomes from a triggered assertion.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_AssertState
{
    SDL_ASSERTION_RETRY,  /**< Retry the assert immediately. */
    SDL_ASSERTION_BREAK,  /**< Make the debugger trigger a breakpoint. */
    SDL_ASSERTION_ABORT,  /**< Terminate the program. */
    SDL_ASSERTION_IGNORE,  /**< Ignore the assert. */
    SDL_ASSERTION_ALWAYS_IGNORE  /**< Ignore the assert from now on. */
} SDL_AssertState;

DESCRIPTION
When an enabled assertion triggers, it may call the assertion handler (possibly one provided by the app via

SDL_SetAssertionHandler ), which will return one of these values, possibly after asking the user.

Then SDL will respond based on this outcome (loop around to retry the condition, try to break in a debugger, kill the program, or ignore the problem).

AVAILABILITY
This enum is available since SDL 3.2.0.